summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Andrew Lobanov <spline1986@gmail.com>2017-06-06 11:11:50 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2017-06-10 10:47:36 +0700
commitf116d9c8e373b486871e016d80e9d8859734347d (patch)
tree8e6e8ad98eca9a455d3dc223ae8717aab03747bc
parent645645ca7171aec08ed5be3d1d3737aa567da5c3 (diff)
downloadslackbuilds-f116d9c8e373b486871e016d80e9d8859734347d.tar.gz
slackbuilds-f116d9c8e373b486871e016d80e9d8859734347d.tar.xz
games/instead: Updated for version 3.0.1.
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
-rw-r--r--games/instead/instead.SlackBuild48
-rw-r--r--games/instead/instead.info6
2 files changed, 26 insertions, 28 deletions
diff --git a/games/instead/instead.SlackBuild b/games/instead/instead.SlackBuild
index 1afadaee15..f093d51efa 100644
--- a/games/instead/instead.SlackBuild
+++ b/games/instead/instead.SlackBuild
@@ -4,7 +4,7 @@
# Written by Andrew Lobanov <spline @ rooker dot ru>
PRGNAM=instead
-VERSION=${VERSION:-3.0.0}
+VERSION=${VERSION:-3.0.1}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -39,8 +39,8 @@ set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
-rm -rf $TMP/$PRGNAM-$VERSION
cd $TMP
+rm -rf $PRGNAM-$VERSION
tar xvf $CWD/$PRGNAM\_$VERSION.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
@@ -50,36 +50,34 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-if [ ! -d ./build ]; then
- mkdir ./build
-fi
+mkdir -p build
cd build
-cmake \
- -DCMAKE_INSTALL_PREFIX:PATH=/usr \
- -DBINDIR=bin \
- -DDOCDIR=doc/instead \
- -DMANDIR=man \
- -DDATADIR=share/instead \
- -DICONDIR=share/pixmaps \
- -DDESKTOPDIR=share/applications \
- -DLANGDIR=share/instead/lang/ \
- -DWITH_SDL2=ON \
- ../
-make
-make install DESTDIR=$PKG
-# PREFIX=/usr
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DBINDIR=bin \
+ -DDOCDIR=doc/instead \
+ -DMANDIR=man \
+ -DDATADIR=share/instead \
+ -DICONDIR=share/pixmaps \
+ -DDESKTOPDIR=share/applications \
+ -DLANGDIR=share/instead/lang/ \
+ -DWITH_SDL2=ON \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install DESTDIR=$PKG
cd ..
-# Create a directory for documentation
-mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a AUTHORS COPYING INSTALL README $PKG/usr/doc/$PRGNAM-$VERSION
-cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
find $PKG/usr/man -type f -exec gzip -9 {} \;
for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
-# Fix desktop file
-sed -i "s|/usr/local//usr/bin/sdl-instead|sdl-instead|" $PKG/usr/share/applications/instead.desktop
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING INSTALL README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
diff --git a/games/instead/instead.info b/games/instead/instead.info
index d0736a569f..f3885df7e8 100644
--- a/games/instead/instead.info
+++ b/games/instead/instead.info
@@ -1,8 +1,8 @@
PRGNAM="instead"
-VERSION="3.0.0"
+VERSION="3.0.1"
HOMEPAGE="http://instead.syscall.ru/"
-DOWNLOAD="https://sourceforge.net/projects/instead/files/instead/3.0.0/instead_3.0.0.tar.gz"
-MD5SUM="d9db1a0cd0800d58ba1f2f1ded262952"
+DOWNLOAD="https://sourceforge.net/projects/instead/files/instead/3.0.1/instead_3.0.1.tar.gz"
+MD5SUM="c6377b6b05105980c65171317fef615b"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES="lua SDL2_mixer SDL2_image SDL2_ttf"